%define pversion 1.12

%define lib_major	0
%define lib_name_orig	%mklibname editline
%define lib_name	%{lib_name_orig}%{lib_major}

Summary:	Line editing library similar to readline
Name:		editline
Version:	%{pversion}
Release:	2mdk
Epoch:		0
License:	BSD-style
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.bz2
Patch0:		%{name}-build.patch.bz2
BuildRequires:	libtermcap-devel
Buildroot:	%{_tmppath}/%{name}-root

%description
Line editing library similar to readline.

%package -n %{lib_name}
Summary: Shared libraries for %{name}
Group: System/Libraries
Provides: %{name} = %{epoch}:%{version}-%{release}

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked to %{name}.

%package -n %{lib_name}-devel
Summary: Files for developing programs that use the %{name} library
Group: Development/C
Requires: %{lib_name} = %{epoch}:%{version}-%{release}
Provides: lib%{name}-devel = %{epoch}:%{version}-%{release}
Provides: %{name}-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name}-devel
Line editing library similar to readline.

%prep
%setup -q
%patch0 -p1

%build
%make CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
install -d -m 755 $RPM_BUILD_ROOT%{_libdir}
install -m 644 .libs/lib%{name}.a $RPM_BUILD_ROOT%{_libdir}
install -m 755 .libs/lib%{name}.so.0.0.0 $RPM_BUILD_ROOT%{_libdir}
(cd $RPM_BUILD_ROOT%{_libdir}; \
ln -sf lib%{name}.so.0.0.0 lib%{name}.so; \
ln -sf lib%{name}.so.0.0.0 lib%{name}.so.0)
install -d -m 755 $RPM_BUILD_ROOT%{_includedir}
install -m 644 include_editline.h $RPM_BUILD_ROOT%{_includedir}/editline.h
install -d -m 755 $RPM_BUILD_ROOT%{_mandir}/man3
install -m 644 %{name}.3 $RPM_BUILD_ROOT%{_mandir}//man3
chmod 644 MANIFEST README

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -n %{lib_name}
%defattr(-,root,root)
%{_libdir}/lib*.so.*

%files -n %{lib_name}-devel
%defattr(-,root,root)
%doc MANIFEST README
%{_includedir}/*.h
%{_mandir}/man*/*
%{_libdir}/lib*.a
%{_libdir}/lib*.so

%changelog
* Sun Feb 29 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0:1.12-2mdk
- fix man location

* Wed Jan 21 2004 David Walluck <walluck@linux-mandrake.com> 0:1.12-1mdk
- release
